Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class TransferNamesAndCommandsBase

    java.lang.Object
      com.stc.eways.batchext.TransferNamesAndCommandsBase

All Implemented Interfaces:
  TransferNamesAndCommands, java.io.Serializable

Direct Known Subclasses:
  LocalFileTransferNamesAndCommandsGet, LocalFileTransferNamesAndCommandsPut

    public abstract class TransferNamesAndCommandsBase

extends java.lang.Object
implements TransferNamesAndCommands

See Also:
  Serialized Form

Field Summary
`protected boolean` | `_Append`
`protected java.lang.String` | `_PostDirectoryName`
`protected java.lang.String` | `_PostFileName`
`protected java.lang.String` | `_PostTransferCommand`
`protected java.lang.String` | `_PreDirectoryName`
`protected java.lang.String` | `_PreFileName`
`protected java.lang.String` | `_PreTransferCommand`
`protected java.lang.String` | `_TargetDirectoryName`
`protected java.lang.String` | `_TargetFileName`
`static java.lang.String` | `LOGGER_NAME`

Constructor Summary
`TransferNamesAndCommandsBase()`

Method Summary
`boolean` | `getAppend()` Checks on whether the outbound transfer is "Append" mode.
`java.lang.String` | `getPostDirectoryName()` Gets the resolved post directory name.
`java.lang.String` | `getPostFileName()` Gets the resolved post file name.
`java.lang.String` | `getPostTransferCommand()` Gets Post Transfer Command.
`java.lang.String` | `getPreDirectoryName()` Gets the resolved pre directory name.
`java.lang.String` | `getPreFileName()` Gets the resolved pre file name.
`java.lang.String` | `getPreTransferCommand()` Gets the Pre Transfer Command.
`java.lang.String` | `getTargetDirectoryName()` Gets the resolved target directory name.
`java.lang.String` | `getTargetFileName()` Gets the resolved target file name.
`java.lang.String` | `getTransferDirectoryName()`
`java.lang.String` | `getTransferFileName()`
`protected java.lang.String` | `resolveNamePattern(java.lang.String patternTag, java.lang.String pattern, java.lang.String originalName, LocalFileETD etd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.eways.batchext.TransferNamesAndCommands
`resolvePostTransfer, resolvePreTransfer, resolveTargetLocation`

Field Detail

### LOGGER_NAME

    public static final java.lang.String LOGGER_NAME

See Also:
  Constant Field Values

### _TargetDirectoryName

    protected java.lang.String _TargetDirectoryName

### _TargetFileName

    protected java.lang.String _TargetFileName

### _Append

    protected boolean _Append

### _PreTransferCommand

    protected java.lang.String _PreTransferCommand

### _PreDirectoryName

    protected java.lang.String _PreDirectoryName

### _PreFileName

    protected java.lang.String _PreFileName

### _PostTransferCommand

    protected java.lang.String _PostTransferCommand

### _PostDirectoryName

    protected java.lang.String _PostDirectoryName

### _PostFileName

    protected java.lang.String _PostFileName

Constructor Detail

### TransferNamesAndCommandsBase

    public TransferNamesAndCommandsBase()

Method Detail

### getTargetDirectoryName

    public java.lang.String getTargetDirectoryName()
                                            throws BatchException

  Description copied from interface: `TransferNamesAndCommands`
  Gets the resolved target directory name. This name is resolved from 'Target Directory Name' pattern. It represents the original working directory name right before the 'Pre Transfer Command'.

  Specified by:
    `getTargetDirectoryName` in interface `TransferNamesAndCommands`
  Returns:
    The resolved Target Directory Name.
  Throws:
    `BatchException` - If some error occurs.

### getTargetFileName

    public java.lang.String getTargetFileName()
                                       throws BatchException

  Description copied from interface: `TransferNamesAndCommands`
  Gets the resolved target file name. This name is resolved from 'Target File Name' pattern. It represents the original working file name right before the 'Pre Transfer Command'.

  Specified by:
    `getTargetFileName` in interface `TransferNamesAndCommands`
  Returns:
    The resolved Target File Name.
  Throws:
    `BatchException` - If some error occurs.

### getAppend

    public boolean getAppend()

  Description copied from interface: `TransferNamesAndCommands`
  Checks on whether the outbound transfer is "Append" mode.

  Specified by:
    `getAppend` in interface `TransferNamesAndCommands`
  Returns:
    true or false.

### getPreTransferCommand

    public java.lang.String getPreTransferCommand()
                                           throws BatchException

  Description copied from interface: `TransferNamesAndCommands`
  Gets the Pre Transfer Command.

  Specified by:
    `getPreTransferCommand` in interface `TransferNamesAndCommands`
  Returns:
    The Pre Transfer Command.
  Throws:
    `BatchException` - If some error occurs.

### getPreDirectoryName

    public java.lang.String getPreDirectoryName()
                                         throws BatchException

  Description copied from interface: `TransferNamesAndCommands`
  Gets the resolved pre directory name. This name is resolved from 'Pre Directory Name' pattern. It represents the working directory name right after the 'Pre Transfer Command'.

  Specified by:
    `getPreDirectoryName` in interface `TransferNamesAndCommands`
  Returns:
    The resolved Pre Directory Name.
  Throws:
    `BatchException` - If some error occurs.

### getPreFileName

    public java.lang.String getPreFileName()
                                    throws BatchException

  Description copied from interface: `TransferNamesAndCommands`
  Gets the resolved pre file name. This name is resolved from 'Pre File Name' pattern. It represents the working file name right after the 'Pre Transfer Command'.

  Specified by:
    `getPreFileName` in interface `TransferNamesAndCommands`
  Returns:
    The resolved Pre File Name.
  Throws:
    `BatchException` - If some error occurs.

### getPostTransferCommand

    public java.lang.String getPostTransferCommand()
                                            throws BatchException

  Description copied from interface: `TransferNamesAndCommands`
  Gets Post Transfer Command.

  Specified by:
    `getPostTransferCommand` in interface `TransferNamesAndCommands`
  Returns:
    The Post Transfer Command.
  Throws:
    `BatchException` - If some error occurs.

### getPostDirectoryName

    public java.lang.String getPostDirectoryName()
                                          throws BatchException

  Description copied from interface: `TransferNamesAndCommands`
  Gets the resolved post directory name. This name is resolved from 'Post Directory Name' pattern. It represents the working directory name right after the 'Post Transfer Command'.

  Specified by:
    `getPostDirectoryName` in interface `TransferNamesAndCommands`
  Returns:
    The resolved Post Directory Name.
  Throws:
    `BatchException` - If some error occurs.

### getPostFileName

    public java.lang.String getPostFileName()
                                     throws BatchException

  Description copied from interface: `TransferNamesAndCommands`
  Gets the resolved post file name. This is resolved from 'Post File Name' pattern. It represents the working file name right after the 'Post Transfer Command'.

  Specified by:
    `getPostFileName` in interface `TransferNamesAndCommands`
  Returns:
    The resolved Post File Name.
  Throws:
    `BatchException` - If some error occurs.

### getTransferDirectoryName

    public java.lang.String getTransferDirectoryName()
                                              throws BatchException

  Throws:
    `BatchException`

### getTransferFileName

    public java.lang.String getTransferFileName()
                                         throws BatchException

  Throws:
    `BatchException`

### resolveNamePattern

    protected java.lang.String resolveNamePattern(java.lang.String patternTag,
                                                  java.lang.String pattern,
                                                  java.lang.String originalName,
                                                  LocalFileETD etd)
                                           throws BatchException

  Throws:
    `BatchException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD